• Rob Cruse

Lucidity browser support update


While we always encourage our clients to update to the latest version of their preferred browser, or at least make sure they have a browser version that meets our recommended minimum (which you can find here), we have up until now ensured that Lucidity would work at least in some manner with pretty much any browser that is available. However on the 12th of September this year that will change... due to a number of issues with Internet Explorer 7 (and earlier versions of Internet Explorer) which are resulting in disruption to our hosting platform, we will be using our firewall to block attempts to access Lucidity using Internet Explorer 7.  Users will receive a message after that time advising to switch to a new browser. In the meantime (up until the 12th of September) we are monitoring traffic and contacting users who will be effected individually. Very few users are going to be effected, as thankfully the ‘market share’ of Internet Explorer 7 is currently only around 0.18%. Given that it was released in 2005 and last updated in 2006, only people that are into retro computing are still using it (yep - 'retro computing' is a thing). The history of web browsers wikipedia page is also worth a read.

Read more about our system requirements here.


Lucidity Logo
Contact

34 Fennell Street

Port Melbourne VIC 3207

info@luciditysoftware.com.au

 

+ 61 3 9686 3481

Privacy Policy

ISO 27001 Compliance

Information Security Policy

  • Facebook - Grey Circle
  • Twitter - Grey Circle
  • YouTube - Grey Circle
  • Instagram - Grey Circle
  • LinkedIn - Grey Circle

Lucidity Software

We're an Australian-based company that provides comprehensive WHS and OHS software solutions to businesses.